<template lang="pug">
q-card.q-ma-md(style="width: max-content")
  q-card-section
    .text-h6 {{ topology.type.toUpperCase() }}
    div(v-if="topology.room_count") Room Count:
      b.q-ml-sm {{ topology.room_count }}
    div(v-if="topology.participants_per_room") Participants Per Room:
      b.q-ml-sm {{ topology.participants_per_room }}
    div(v-if="topology.duration_minutes") Duration:
      b.q-ml-sm {{ topology.duration_minutes }} mins
    div(v-if="topology.transition") Transition:
      b.q-ml-sm {{ topology.transition }}
</template>
<script>
export default {
  props: {
    topology: {},
  },
};
</script>
